Retrieve the cart
curl --request GET \
--url https://api.wavix.com/v1/buy/cart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v1/buy/cart"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v1/buy/cart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dids": [
{
"activation_fee": "15.0",
"channels": "4",
"city": "Buenos Aires",
"cnam": false,
"country": "Argentina",
"country_short_name": "AR",
"domestic_cli": false,
"free_min": 0,
"id": 541139862174,
"monthly_fee": "10.0",
"number": "541139862174",
"per_min": "0.01",
"require_docs": [],
"sms_enabled": false,
"sms_price": 0
}
],
"doc_types": [
{
"id": 1,
"name": "id",
"title": "Any form of ID"
},
{
"id": 2,
"name": "address",
"title": "Proof of address"
},
{
"id": 3,
"name": "localaddress",
"title": "Proof of local address"
}
]
}{
"success": false,
"message": "Missing or invalid parameter <param_name>"
}{
"success": false,
"message": "The service is not provisioned for your account."
}Cart
Retrieve the cart
Returns the current purchase cart, including the phone numbers it contains and the documents each requires.
GET
/
v1
/
buy
/
cart
Retrieve the cart
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Was this page helpful?
⌘I